Re: Problems With SASL and Kerberos V4

From: Rob Siemborski (rjs3 at andrew dot cmu dot edu)
Date: Thu Mar 04 2004 - 09:31:41 EST

  • Next message: Gary Mills: "Re: sasl_auxprop_plugin appears to be ignored"

    On Wed, 3 Mar 2004, John Hayes wrote:

    > I have been trying to set up SASL and to use the kerberos_v4. This is
    > SASL2.1.17.
    >
    > I finally succeeded in getting it to compile with support for the MIT
    > kerberos 4 libraries. saslauthd was able to authenticate against our
    > kerberos 4 server using the testsaslauthd application.
    >
    > From there I went on to the openldap configuration. I have created a
    > /etc/srvtab file using the ksrvutil application. When I try to
    > authenticate using ldap specifying the kerberos_v4 mechanism the ldap
    > reports that there is not enough ipv4 information and it has disabled
    > kerberos_v4.
    >
    > The srvtab file exists and I believe it is proper now. Are their any
    > thoughts on what may be causing this error?

    Your application isn't calling sasl_setprop for IPLOCALPORT and
    IPREMOTEPORT. The developers should fix this.

    -Rob

    -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
    Rob Siemborski * Andrew Systems Group * Cyert Hall 207 * 412-268-7456
    Research Systems Programmer * /usr/contributed Gatekeeper


  • Next message: Gary Mills: "Re: sasl_auxprop_plugin appears to be ignored"





    Hosted Email Solutions

    Invaluement Anti-Spam DNSBLs



    Powered By FreeBSD   Powered By FreeBSD